Ads · Ad Insights
Returns lead conversations. Works with Google Ads.
GET
https://api.pozy.ai/v1/ads/local-services/leads/{leadId}/conversationsGoogle WorkspacelistLocalServicesLeadConversations
Guides: Google Ads, Ads reporting
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
leadIdrequired | string |
Query parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string | |
adAccountId | string | |
customerId | string | |
pageToken | string |
Example
curl -X GET "https://api.pozy.ai/v1/ads/local-services/leads/6a469fc362d4f3975d56a730/conversations?accountId=696e0b682d0a31188e7a2ba9" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/ads/local-services/leads/6a469fc362d4f3975d56a730/conversations?accountId=696e0b682d0a31188e7a2ba9", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/ads/local-services/leads/6a469fc362d4f3975d56a730/conversations",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"accountId": "696e0b682d0a31188e7a2ba9",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
customerIdstringdataarray of objectidstringCan be null.
channelstringCan be null.
participantTypestringCan be null.
eventDateTimestringCan be null.
phoneCallobjectCan be null.
2 child fields
callDurationMillisintegerCan be null.
callRecordingUrlstringCan be null.
messageobjectCan be null.
2 child fields
textstringCan be null.
attachmentUrlsarray of string
pagingobjectnextPageTokenstringCan be null.
200 response
{
"customerId": "691909ff82eb5ed7c816716d",
"data": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"channel": "string",
"participantType": "string",
"eventDateTime": "string",
"phoneCall": {
"callDurationMillis": 1,
"callRecordingUrl": "https://pozy.ai/media/example-1.jpg"
},
"message": {
"text": "Hello from Pozy",
"attachmentUrls": [
"https://pozy.ai/media/example-1.jpg"
]
}
}
],
"paging": {
"nextPageToken": "string"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Ad Insights
GETGoogle Ads search terms reportGETGoogle Local Services Ads leadsGETGet campaign analyticsPOSTGenerate keyword ideasPOSTGet historical keyword metricsGETFlexible live insights queryPOSTSubmit async insights reportGETPoll an async insights report runGETGet ad analyticsGETPer-creative performance inside TikTok Smart+ ads